@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    background: linear-gradient(293deg, #7752FE 0%, #1A0582 100%);
    font-family: 'Poppins', sans-serif;
    color: #fff;
    font-size: 20px;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
}

.container-fluid {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

form {
    background-color: #fff;
    color: #1A0482;
    font-family: 'Inter', sans-serif;
    font-size: 35px;
    text-align: center;
    border-radius: 20px;
    padding: 20px;
    max-width: 1250px;
    width: 100%;
    height: 650px;
}

.form-label {
    color: white;
}

.form-control {
    background-color: white;
    color: purple;
    border-radius: 10px;
}

.form-button {
    transition: background-color 0.3s, color 0.3s, border-color 0.3s;
}

.form-button:hover {
    background-color: #1A0482;
    color: #fff;
    border-color: #fff;
}

h1,
p,
button {
    text-align: center;
    margin-top: 125px;
    margin-bottom: 10px;
}

h1 {
    font-family: 'Inter', sans-serif;
    font-size: 3.5rem;
    font-weight: 800;
    line-height: 1.5;
}

p {
    font-size: 1.75rem;
    margin-top: -10px;
}

.button-container {
    display: flex;
    justify-content: center;
    align-items: center;
}

.form-button {
    width: 120px;
    /* Sesuaikan dengan kebutuhan */
    border: none;
    border-radius: 20px;
    /* Sesuaikan dengan style pada div */
    background: rgba(217, 217, 217, 0);
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    border: 5px #1A0482 solid;
    color: #1A0482;
    font-size: 20px;
    /* Sesuaikan dengan style pada div */
    margin: 10px;
    padding: 10px;
}

/* .form-control {
    color: rgba(0, 0, 0, .87);
    border-bottom-color: rgba(0, 0, 0, .42);
    box-shadow: none !important;
    border: none;
    border-bottom: 1px solid;
    border-radius: 4px 4px 0 0;
} */

h4 {
    font-size: 2rem !important;
    font-weight: 700;
}

.form-label {
    font-weight: 800 !important;
}

@media only screen and (max-width: 600px) {
    form {
        width: 100% !important;
    }
}

@media only screen and (max-width: 550px) {
    body {
        font-size: 12px;
    }

    .container-fluid {
        flex-direction: column;
    }

    .form-container {
        width: 100%;
        max-width: 100%;
    }

    .recommendation-container {
        width: 100%;
        max-width: 100%;
        text-align: center;
        margin-top: 15px;
    }

    h1,
    p,
    button {
        text-align: center;
        margin-top: 10px;
        margin-right: 10px;
        margin-bottom: 10px;
    }

    .button-container {
        flex-direction: row;
        justify-content: center;
        /* Mengatur agar tombol berada di tengah */
        flex-wrap: wrap;
        /* Mengizinkan tombol wrap jika tidak cukup ruang */
    }

    .form-button {
        width: 20%;
        /* Sesuaikan lebar tombol */
        margin: 5px auto;
        /* Sesuaikan jarak antar tombol */
    }
}

@media only screen and (max-width: 510px) {
    body {
        font-size: 10px;
    }

    .container-fluid {
        flex-direction: column;
    }

    .form-container {
        width: 100%;
        max-width: 100%;
    }

    .recommendation-container {
        width: 100%;
        max-width: 100%;
        text-align: center;
        margin-top: 10px;
    }

    h1,
    p,
    button {
        font-size: 40px;
        text-align: center;
        margin-top: 8px;
        margin-right: 5px;
        margin-bottom: 5px;
    }

    .button-container {
        flex-direction: row;
        justify-content: center;
        /* Mengatur agar tombol berada di tengah */
        flex-wrap: wrap;
        /* Mengizinkan tombol wrap jika tidak cukup ruang */
    }

    .form-button {
        width: 25%;
        /* Sesuaikan lebar tombol */
        margin: 5px auto;
        /* Sesuaikan jarak antar tombol */
    }
}

@media only screen and (max-width: 420px) {
    body {
        font-size: 10px;
    }

    .container-fluid {
        flex-direction: column;
    }

    .form-container {
        width: 100%;
        max-width: 100%;
    }

    .recommendation-container {
        width: 100%;
        max-width: 100%;
        text-align: center;
        margin-top: 10px;
    }

    h1,
    p,
    button {
        font-size: 35px;
        text-align: center;
        margin-top: 8px;
        margin-right: 5px;
        margin-bottom: 5px;
    }

    .button-container {
        flex-direction: row;
        justify-content: center;
        /* Mengatur agar tombol berada di tengah */
        flex-wrap: wrap;
        /* Mengizinkan tombol wrap jika tidak cukup ruang */
    }

    .form-button {
        width: 30%;
        /* Sesuaikan lebar tombol */
        margin: 5px auto;
        /* Sesuaikan jarak antar tombol */
    }
}

@media only screen and (max-width: 350px) {
    body {
        font-size: 25px;
    }

    .container-fluid {
        flex-direction: column;
    }

    .form-container {
        width: 100%;
        max-width: 100%;
    }

    .recommendation-container {
        width: 100%;
        max-width: 100%;
        text-align: center;
        margin-top: 10px;
    }

    h1,
    p {
        font-size: 35px;
        text-align: center;
        margin-top: 8px;
        margin-right: 5px;
        margin-bottom: 5px;
    }

    button {
        font-size: 15px;
        text-align: center;
    }

    .button-container {
        flex-direction: row;
        justify-content: center;
        /* Mengatur agar tombol berada di tengah */
        flex-wrap: wrap;
        /* Mengizinkan tombol wrap jika tidak cukup ruang */
    }

    .form-button {
        width: 25%;
        /* Sesuaikan lebar tombol */
        margin: 5px auto;
        /* Sesuaikan jarak antar tombol */
    }
}